BasicTreeUI.ComponentHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.ComponentHandler class
Date: 2018-07-01

javax.swing.plaf.basic

## Class BasicTreeUI.ComponentHandler

- java.lang.Object
- - java.awt.event.ComponentAdapter
  - - javax.swing.plaf.basic.BasicTreeUI.ComponentHandler

- All Implemented Interfaces:
    ActionListener, ComponentListener, EventListener
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.ComponentHandler
      extends ComponentAdapter
      implements ActionListener

  Updates the preferred size when scrolling (if necessary).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JScrollBar` | `scrollBar` ScrollBar that is being adjusted.
    `protected Timer` | `timer` Timer used when inside a scrollpane and the scrollbar is adjusting.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent ae)` Public as a result of Timer.
    `void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
    `protected JScrollPane` | `getScrollPane()` Returns the JScrollPane housing the JTree, or null if one isn't found.
    `protected void` | `startTimer()` Creates, if necessary, and starts a Timer to check if need to resize the bounds.

    - ### Methods inherited from class java.awt.event.ComponentAdapter

      `componentHidden, componentResized, componentShown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timer

          protected Timer timer

      Timer used when inside a scrollpane and the scrollbar is adjusting.

    - #### scrollBar

          protected JScrollBar scrollBar

      ScrollBar that is being adjusted.

  - ### Constructor Detail

    - #### ComponentHandler

          public ComponentHandler()

  - ### Method Detail

    - #### componentMoved

          public void componentMoved(ComponentEvent e)

      Description copied from class: `ComponentAdapter`
      Invoked when the component's position changes.
      Specified by:
        `componentMoved` in interface `ComponentListener`
      Overrides:
        `componentMoved` in class `ComponentAdapter`

    - #### startTimer

          protected void startTimer()

      Creates, if necessary, and starts a Timer to check if need to resize the bounds.

    - #### getScrollPane

          protected JScrollPane getScrollPane()

      Returns the JScrollPane housing the JTree, or null if one isn't found.

    - #### actionPerformed

          public void actionPerformed(ActionEvent ae)

      Public as a result of Timer. If the scrollBar is null, or not adjusting, this stops the timer and updates the sizing.
      Specified by:
        `actionPerformed` in interface `ActionListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.